
QGIS Application - Bug report #15712

Dissolve function crash QGIS 2.16.3

2016-10-16 01:25 PM - Soren Lindqvist

Status: Rejected

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 23635

Description

I have a polygon layer with about 12000 polygons, I want to dissolve by using an ID field using "vector-geoprocessing tools-dissolve".

Most often it crashes when trying to run the process or it runs forever. Last time I tried it was running for 3 days and only about 25 % in

progress bar before I needed to force quit. I have tried with temporary file and also to save the file = same result. I can categorise (style)

with the ID field and it works fine, but to dissolve it does not work at all.

Hoping I could get around the problem I also tried with the plugin "Dissolve with stats", but it crash all the times for me.

Thanks

Soren

Related issues:

Duplicates QGIS Application - Bug report # 15707: [processing] dissolve (QGIS... Closed 2016-10-14

History

#1 - 2016-10-16 01:38 PM - Soren Lindqvist

Did see the issue #15707. I also tried the "Dissolve all" and it seems to take ages to finish similar to the one I stopped after 3 days...

#2 - 2016-10-20 03:56 AM - Alexander Bruy

- Tag deleted (Dissolve)

- Resolution set to duplicate

- Status changed from Open to Rejected

Duplicates #15707

#3 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
